image ChannelBox(
image InputRed,
image InputGreen,
image InputBlue,
image InputAlpha,

int RedSelect = 1,
int RedMode = 1,
float RedBlur = 0,

int GreenSelect = 2,
int GreenMode = 1,
float GreenBlur = 0,

int BlueSelect = 3,
int BlueMode = 1,
float BlueBlur = 0,

int AlphaSelect = 4,
int AlphaMode = 1,
float AlphaBlur = 0,

int ShakeChannel = 1,
float Frequency = 1,
float Amplitude = 10
)

{

Black = Color(InputRed.width, InputRed.height, 1, 0, 0, 0, 0, 0);
White = Color(InputRed.width, InputRed.height, 1, 1, 1, 1, 1, 0);

InputAlpha = Reorder  (InputAlpha, "aaaa");
InputBlue = Reorder   (InputBlue, "bbbb");
InputGreen = Reorder (InputGreen, "gggg");
InputRed = Reorder    (InputRed, "rrrr");

Select5 = Select(RedSelect, InputRed, InputGreen, InputBlue, InputAlpha);
Select7 = Select(GreenSelect, InputRed, InputGreen, InputBlue, InputAlpha);
Select9 = Select(BlueSelect, InputRed, InputGreen, InputBlue, InputAlpha);
Select11 = Select(AlphaSelect, InputRed, InputGreen, InputBlue, InputAlpha);

InvertAlpha = Invert(Select11, "rgba");
InvertBlue = Invert(Select9, "rgba");
InvertGreen = Invert(Select7, "rgba");
InvertRed = Invert(Select5, "rgba");

Select10 = Select(BlueMode, Select9, InvertBlue, White, Black);
Select12 = Select(AlphaMode, Select11, InvertAlpha, White, Black);
Select6 = Select(RedMode, Select5, InvertRed, White, Black);
Select8 = Select(GreenMode, Select7, InvertGreen, White, Black);

BlurRed = Blur(Select6, RedBlur, xPixels, 0, "gauss", xFilter, "rgba");
BlurGreen = Blur(Select8, GreenBlur, xPixels, 0, "gauss", xFilter, "rgba");
BlurBlue = Blur(Select10, BlueBlur, xPixels, 0, "gauss", xFilter, "rgba");
BlurAlpha = Blur(Select12, AlphaBlur, xPixels, 0, "gauss", xFilter, "rgba");

CameraShake1 = CameraShake(BlurRed, Frequency, xFrequency, Amplitude, xAmplitude, 28, 1, 0.5, 0);
CameraShake2 = CameraShake(BlurGreen, CameraShake1.xFrequency, xFrequency, CameraShake1.xAmplitude, xAmplitude, 65, 1,0.5, 0);
CameraShake3 = CameraShake(BlurBlue, CameraShake1.xFrequency, xFrequency, CameraShake1.xAmplitude, xAmplitude, 102, 1,0.5, 0);
CameraShake4 = CameraShake(BlurAlpha, CameraShake1.xFrequency, xFrequency, CameraShake1.xAmplitude, xAmplitude, 157,1, 0.5, 0);

SelectMRed = Select(ShakeChannel, BlurRed, CameraShake1, 0, 0);
SelectMGreen = Select(ShakeChannel, BlurGreen, CameraShake2, 0, 0);
SelectMBlue = Select(ShakeChannel, BlurBlue, CameraShake3, 0, 0);
SelectMAlpha = Select(ShakeChannel, BlurAlpha, CameraShake4, 0, 0);

Copy1 = Copy(SelectMRed, SelectMGreen,1, "g");
Copy2 = Copy(Copy1, SelectMBlue, 1, "b");
Copy3 = Copy(Copy2, SelectMAlpha, 1, "a");

return Copy3;
}

